## odoo 14.0.0%2Bdfsg.3

=== debian/changelog ===
odoo (14.0.0+dfsg.3-1~bpo11+3) bullseye-backports; urgency=high

  [ Sébastien Delafond ]
  * Fix CVE-2024-4367 (Closes: #1074228)

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Aug 2024 13:25:59 +0200

odoo (14.0.0+dfsg.3-1~bpo11+2) bullseye-backports; urgency=high

  * debian/patches: fix recent CVEs
    CVE-2021-44775, CVE-2021-26947, CVE-2021-26263:
      XSS allowing remote attacker to inject arbitrary commands.
    CVE-2021-45111:
      Incorrect access control allowing authenticated remote user to
      create user accounts and access restricted data.
    CVE-2021-44476, CVE-2021-23166:
      Incorrect access control allowing authenticated remote administrator
      to access local files on the server.
    CVE-2021-23186:
      Incorrect access control allowing authenticated remote administrator
      to modify database contents of other tenants.
    CVE-2021-23178:
      Incorrect access control allowing authenticated remote user to
      use another user's payment method.
    CVE-2021-23176:
      Incorrect access control allowing authenticated remote user to
      access accounting information.
    CVE-2021-23203:
      Incorrect access control allowing authenticated remote user to
      access arbitrary documents via PDF exports.
  
 -- Sebastien Delafond <seb@debian.org>  Fri, 28 Apr 2023 06:28:07 +0200

odoo (14.0.0+dfsg.3-1~bpo11+1) bullseye-backports; urgency=medium

  [ Sébastien Delafond ]
  * Backport 14.0.0+dfsg.3-1 from bookworm

 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Nov 2021 08:44:35 +0100

odoo (14.0.0+dfsg.3-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Latest origin/14.0 release
  * update source lintian-overrides

 -- Sebastien Delafond <seb@debian.org>  Mon, 08 Nov 2021 15:08:07 +0100

odoo (14.0.0+dfsg.2-7) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Depend on fonts-glyphicons-halflings (Closes: #986484)

 -- Sebastien Delafond <seb@debian.org>  Fri, 09 Apr 2021 08:02:34 +0200

odoo (14.0.0+dfsg.2-6) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Remove /var/log/odoo upon purging (Closes: #985873)

 -- Sebastien Delafond <seb@debian.org>  Mon, 29 Mar 2021 11:57:40 +0200

odoo (14.0.0+dfsg.2-5) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Source-only upload for migration

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Feb 2021 11:16:16 +0100

odoo (14.0.0+dfsg.2-4) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Version the binary package
  * Add d/salsa-ci.yml
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Jan 2021 09:29:48 +0100

odoo (14.0.0+dfsg.2-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Do not clobber custom src/js/libs/jquery.js (Closes: #981015)

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Jan 2021 08:59:37 +0100

odoo (14.0.0+dfsg.2-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/rules: suppress useless removal of dh_link targets
  * lintian: f-p for async.js (Comment: #977537)
  * lintian: use libjs-jquery* (Comment: #977537)
  * d/control: update Maintainer and Uploaders fields

  [ Raphaël Hertzog ]
  * Add python3-num2words to Depends

 -- Sebastien Delafond <seb@debian.org>  Wed, 20 Jan 2021 08:11:28 +0100

odoo (14.0.0+dfsg.2-1) unstable; urgency=medium

  * Add missing sources, remove sourceless parts, and add lintian
    overrides where needed (Closes: #973603, #973605)

 -- Sebastien Delafond <seb@debian.org>  Tue, 15 Dec 2020 10:28:49 +0100

odoo (14.0.0+dfsg-1) unstable; urgency=medium

  * 14.0.0-1 (Closes: #638720)

 -- Sebastien Delafond <seb@debian.org>  Mon, 12 Oct 2020 14:02:16 +0200

odoo (13.0.0) unstable; urgency=medium

  * 13.0.0

 -- Sebastien Delafond <seb@debian.org>  Thu, 11 Jun 2020 13:13:40 +0200

odoo (8.0.0) stable; urgency=low

  * Renamed package

 -- Simon Lejeune <sle@odoo.com>  Wed, 17 Sep 2014 15:40:00 +0100 

openerp (8.0.0~rc1-0) testing; urgency=low

  * Refactored packaging

 -- Simon Lejeune <sle@odoo.com>  Wed, 23 Jul 2014 14:59:00 +0100

openerp (6.1-1) testing; urgency=low

  * New major version, new packaging.

 -- Antony Lesuisse <al@openerp.com>  Sat, 01 Oct 2011 12:31:00 +0100

openerp-server (6.0.2-1) testing; urgency=low

  * Using upstream version 6.0.2

 -- Vo Minh Thu <vmt@openerp.com>  Tue, 05 Apr 2011 12:31:00 +0100

openerp-server (6.0.1-1) unstable; urgency=low

  * Translations from Rosetta (only zh_CN today)
  * Require postgres 8.2, not 8.4
  * Write changelog (recursive, isn't it?)
  * Repackage, together with addons fixes

 -- P. Christeas <xrg@openerp.com>  Mon, 24 Jan 2011 12:50:00 +0100
 

openerp-server (6.0.1-0) testing; urgency=low

  * Update to version 6.0.1

 -- P. Christeas <xrg@openerp.com>  Thu, 20 Jan 2011 21:21:00 +0100

openerp-server (6.0.0-0) testing; urgency=low

  * Update to version 6.0.0

 -- P. Christeas <xrg@openerp.com>  Wed, 19 Jan 2011 09:12:00 +0100

openerp-server (6.0.0~rc2-0) experimental; urgency=low

  * Upgrade to 6.0.0-rc2, let it build

 -- P. Christeas <xrg@openerp.com>  Mon, 17 Jan 2011 14:18:00 +0100

openerp-server (5.0.14-1) experimental; urgency=low

  * Updating to standards version 3.9.1.
  * Merging upstream version 5.0.14.

 -- Daniel Baumann <daniel@debian.org>  Wed, 15 Sep 2010 00:22:00 +0200

openerp-server (5.0.13-1) experimental; urgency=low

  * Merging upstream version 5.0.13.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Sep 2010 09:14:10 +0200

openerp-server (5.0.12-2) unstable; urgency=low

  * Removing debhelper auto install overrides.
  * Updating clean target in rules.
  * Reverting to manual setup.py call, updated for version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Aug 2010 18:53:43 +0200

openerp-server (5.0.12-1) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 5.0.12.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 Jul 2010 19:46:39 +0200

openerp-server (5.0.11-1) unstable; urgency=low

  * Merging upstream version 5.0.11.


## odoo 14.0.0+dfsg.2

=== requirements.txt ===
Babel==2.6.0
chardet==3.0.4
decorator==4.3.0
docutils==0.14
ebaysdk==2.1.5
feedparser==5.2.1
freezegun==0.3.11; python_version < '3.8'
freezegun==0.3.15; python_version >= '3.8'
gevent==1.1.2 ; sys_platform != 'win32' and python_version < '3.7'
gevent==1.5.0 ; python_version >= '3.7'
gevent==1.4.0 ; sys_platform == 'win32' and python_version < '3.7'
greenlet==0.4.10 ; python_version < '3.7'
greenlet==0.4.15 ; python_version == '3.7'
greenlet==0.4.17 ; python_version > '3.7'
html2text==2018.1.9
idna==2.6
Jinja2==2.10.1; python_version < '3.8'
# bullseye version, focal patched 2.10
Jinja2==2.11.2; python_version >= '3.8'
libsass==0.17.0
lxml==3.7.1 ; sys_platform != 'win32' and python_version < '3.7'
lxml==4.3.2 ; sys_platform != 'win32' and python_version == '3.7'
lxml==4.6.1 ; sys_platform != 'win32' and python_version > '3.7'
lxml ; sys_platform == 'win32'
Mako==1.0.7
MarkupSafe==1.1.0
num2words==0.5.6
ofxparse==0.19
passlib==1.7.1
Pillow==5.4.1 ; python_version <= '3.7' and sys_platform != 'win32'
Pillow==6.1.0 ; python_version <= '3.7' and sys_platform == 'win32'
Pillow==8.0.1 ; python_version > '3.7'
polib==1.1.0
psutil==5.6.6
psycopg2==2.7.7; sys_platform != 'win32' and python_version < '3.8'
psycopg2==2.8.5; sys_platform == 'win32' or python_version >= '3.8'
pydot==1.4.1
python-ldap==3.1.0; sys_platform != 'win32'
pyparsing==2.2.0
PyPDF2==1.26.0
pyserial==3.4
python-dateutil==2.7.3
pytz==2019.1
pyusb==1.0.2
qrcode==6.1
reportlab==3.5.13; python_version < '3.8'
reportlab==3.5.55; python_version >= '3.8'
requests==2.21.0
zeep==3.2.0
python-stdnum==1.8
vobject==0.9.6.1
Werkzeug==0.16.1
XlsxWriter==1.1.2
xlwt==1.3.*
xlrd==1.1.0; python_version < '3.8'
xlrd==1.2.0; python_version >= '3.8'
pypiwin32 ; sys_platform == 'win32'

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -q -t solutions
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
LESSC         = lessc

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

STATICS = _extensions/odoo_ext/static
# TODO: add bootstrap files
LESSFILES = $(wildcard $(STATICS)/*.less)
$(STATICS)/style.css: $(LESSFILES)
	$(LESSC) $(STATICS)/style.less $(STATICS)/style.css

html: _extensions/odoo_ext/static/style.css
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	sed -i '/-99999/d' _build/dirhtml/_static/flasky.css
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OpenERPTechnicalDocumentation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OpenERPTechnicalDocumentation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OpenERPTechnicalDocumentation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OpenERPTechnicalDocumentation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
sphinx>=1.6.7
sphinx-patchqueue>=1.0

=== debian/changelog ===
odoo (14.0.0+dfsg.2-7+deb11u2) oldstable-security; urgency=medium

  [ Sébastien Delafond ]
  * Fix CVE-2024-4367 (Closes: #1074228)

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Aug 2024 09:47:50 +0200

odoo (14.0.0+dfsg.2-7+deb11u1) stable-security; urgency=high

  * debian/patches: fix recent CVEs
    CVE-2021-44775, CVE-2021-26947, CVE-2021-45071, CVE-2021-26263:
      XSS allowing remote attacker to inject arbitrary commands.
    CVE-2021-45111:
      Incorrect access control allowing authenticated remote user to
      create user accounts and access restricted data.
    CVE-2021-44476, CVE-2021-23166:
      Incorrect access control allowing authenticated remote administrator
      to access local files on the server.
    CVE-2021-23186:
      Incorrect access control allowing authenticated remote administrator
      to modify database contents of other tenants.
    CVE-2021-23178:
      Incorrect access control allowing authenticated remote user to
      use another user's payment method.
    CVE-2021-23176:
      Incorrect access control allowing authenticated remote user to
      access accounting information.
    CVE-2021-23203:
      Incorrect access control allowing authenticated remote user to
      access arbitrary documents via PDF exports.
  
 -- Sebastien Delafond <seb@debian.org>  Fri, 28 Apr 2023 06:28:07 +0200

=== debian/control ===
Source: odoo
Section: net
Priority: optional
Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3, rsync, python3-setuptools
Standards-Version: 4.5.1
Homepage: http://www.odoo.com/
Vcs-Git: https://salsa.debian.org/freexian-team/odoo.git
Vcs-Browser: https://salsa.debian.org/freexian-team/odoo

Package: odoo-14
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 fonts-glyphicons-halflings,
 fonts-inconsolata,
 fonts-font-awesome,
 fonts-roboto-unhinted,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-underscore,
 lsb-base,
 postgresql-client,
 python3-babel,
 python3-chardet,
 python3-dateutil,
 python3-decorator,
 python3-docutils,
 python3-feedparser,
 python3-freezegun,
 python3-html2text,
 python3-pil,
 python3-jinja2,
 python3-libsass,
 python3-lxml,
 python3-mako,
 python3-num2words,
 python3-passlib,
 python3-polib,
 python3-psutil,
 python3-psycopg2,
 python3-pydot,
 python3-pyparsing,
 python3-pypdf2,
 python3-qrcode,
 python3-reportlab,
 python3-requests,
 python3-stdnum,
 python3-suds,
 python3-tz,
 python3-vobject,
 python3-werkzeug,
 python3-xlsxwriter,
 python3-xlrd,
 wkhtmltopdf
Pre-Depends: ${misc:Pre-Depends}
Conflicts: odoo, tinyerp-server, openerp-server, openerp-web, openerp
Replaces: odoo, tinyerp-server, openerp-server, openerp-web, openerp
Provides: odoo
Recommends:
 ${python3:Recommends},
 postgresql,
 python3-ldap,
Description: Open Source Apps To Grow Your Business
 Odoo, formerly known as OpenERP, is a suite of open-source business apps
 written in Python and released under the LGPLv3 license. This suite of
 applications covers all business needs, from Website/Ecommerce down to
 manufacturing, inventory and accounting, all seamlessly integrated. Odoo's
 technical features include a distributed server, flexible workflows, an object
 database, a dynamic GUI, customizable reports, and an XML-RPC interface. Odoo
 is the most installed business software in the world. It is used by 2.000.000
 users worldwide ranging from very small companies (1 user) to very large ones
 (300 000 users).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=odoo-bin
export PYBUILD_DISABLE=test

ODOO_VERSION = 14
ODOO_DIR = debian/odoo-$(ODOO_VERSION)

%:
	dh ${@} --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	ln -sf /usr/share/javascript/jquery/jquery.min.js doc/_extensions/odoo_ext/static/jquery.min.js
	cp -r addons/* odoo/addons/
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm $(ODOO_DIR)/usr/lib/python3*/dist-packages/odoo/addons/point_of_sale/static/src/fonts/Inconsolata.otf
	find $(ODOO_DIR) -name LICENSE.txt -exec rm {} \;

override_dh_installsystemd:
	dh_installsystemd --name odoo

override_dh_installinit:
	dh_installinit --name odoo

override_dh_auto_clean:
	dh_auto_clean
	for d in addons/* ; do rm -fr odoo/$$d ; done

## odoo 14.0.0+dfsg.3

=== requirements.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 decorator==4.3.0
 docutils==0.14
 ebaysdk==2.1.5
-feedparser==5.2.1
 freezegun==0.3.11; python_version < '3.8'
 freezegun==0.3.15; python_version >= '3.8'
 gevent==1.1.2 ; sys_platform != 'win32' and python_version < '3.7'
-gevent==1.5.0 ; python_version >= '3.7'
+gevent==1.5.0 ; python_version == '3.7'
+gevent==20.9.0 ; python_version >= '3.8'
 gevent==1.4.0 ; sys_platform == 'win32' and python_version < '3.7'
 greenlet==0.4.10 ; python_version < '3.7'
 greenlet==0.4.15 ; python_version == '3.7'
@@ -29,14 +29,13 @@
 passlib==1.7.1
 Pillow==5.4.1 ; python_version <= '3.7' and sys_platform != 'win32'
 Pillow==6.1.0 ; python_version <= '3.7' and sys_platform == 'win32'
-Pillow==8.0.1 ; python_version > '3.7'
+Pillow==8.1.1 ; python_version > '3.7'
 polib==1.1.0
 psutil==5.6.6
 psycopg2==2.7.7; sys_platform != 'win32' and python_version < '3.8'
 psycopg2==2.8.5; sys_platform == 'win32' or python_version >= '3.8'
 pydot==1.4.1
 python-ldap==3.1.0; sys_platform != 'win32'
-pyparsing==2.2.0
 PyPDF2==1.26.0
 pyserial==3.4
 python-dateutil==2.7.3

=== setup/win32/Makefile ===
include Makefile.version
include Makefile.python
include Makefile.servicename

SERVER_DIRECTORY=../..
FILES_DIRECTORY=release

MAKENSIS_ARGUMENTS=/DVERSION=$(VERSION) /DSERVICENAME=${SERVICENAME} /DPYTHONVERSION=${PYTHON_VERSION}

LAUNCH_MAKENSIS=/cygdrive/c/tools/cygwin/makensis $(MAKENSIS_ARGUMENTS) setup.nsi
WINPY32_DIR=/cygdrive/c/odoobuild/WinPy32/python-${PYTHON_VERSION}
WINPY64_DIR=/cygdrive/c/odoobuild/WinPy64/python-${PYTHON_VERSION}.amd64

default: allinone

clean: server_clean
	rm -rf $(FILES_DIRECTORY)/*.exe
	rm -rf *.exe

server_clean:
	rm -rf $(SERVER_DIRECTORY)/dist
	rm -rf $(SERVER_DIRECTORY)/build
	rm -rf $(SERVER_DIRECTORY)/win32/dist
	rm -rf $(SERVER_DIRECTORY)/win32/build
	rm -rf $(SERVER_DIRECTORY)/*.exe
	rm -rf $(SERVER_DIRECTORY)/.cyg*

allinone: server_clean
	cp $(SERVER_DIRECTORY)/requirements.txt $(WINPY32_DIR)/
	-(cd $(WINPY32_DIR) && ./python.exe -m pip install --upgrade pip)
	-(cd $(WINPY32_DIR) && cat requirements.txt | while read PAC ; do Scripts/pip3.exe install "$${PAC}" ; done)
	-(cd $(WINPY32_DIR) && Scripts/pip3.exe freeze)
	rm $(WINPY32_DIR)/requirements.txt
	cp $(SERVER_DIRECTORY)/requirements.txt $(WINPY64_DIR)/
	-(cd $(WINPY64_DIR) && ./python.exe -m pip install --upgrade pip)
	-(cd $(WINPY64_DIR) && cat requirements.txt | while read PAC ; do Scripts/pip3.exe install "$${PAC}" ; done)
	-(cd $(WINPY64_DIR) && Scripts/pip3.exe freeze)
	rm $(WINPY64_DIR)/requirements.txt
	(cd $(SERVER_DIRECTORY)/setup/win32 && $(LAUNCH_MAKENSIS))
	(cd $(SERVER_DIRECTORY)/setup/win32 && mkdir -p $(FILES_DIRECTORY))
	(cd $(SERVER_DIRECTORY)/setup/win32 && cp odoo_setup_*.exe $(FILES_DIRECTORY)/)
	(cd $(SERVER_DIRECTORY)/setup/win32/$(FILES_DIRECTORY) && chmod 0766 odoo_setup_*.exe)

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 	dh ${@} --with=python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	ln -sf /usr/share/javascript/jquery/jquery.min.js doc/_extensions/odoo_ext/static/jquery.min.js
 	cp -r addons/* odoo/addons/
 	dh_auto_build

## odoo 14.0.0+dfsg.4

=== debian/changelog ===
odoo (14.0.0+dfsg.4-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Remove non-free fonts (Closes: #1028090)

 -- Sebastien Delafond <seb@debian.org>  Fri, 13 Jan 2023 10:34:53 +0100

## odoo 16.0.0%2Bdfsg.2

=== setup/win32/Makefile ===
include Makefile.version
include Makefile.python
include Makefile.servicename

SERVER_DIRECTORY=../..
FILES_DIRECTORY=release

MAKENSIS_ARGUMENTS=/DVERSION=$(VERSION) /DMAJOR_VERSION=$(MAJORVERSION) /DMINOR_VERSION=$(MINORVERSION) /DSERVICENAME=${SERVICENAME} /DPYTHONVERSION=${PYTHON_VERSION}

LAUNCH_MAKENSIS=/cygdrive/c/tools/cygwin/makensis $(MAKENSIS_ARGUMENTS) setup.nsi
WINPY64_DIR=/cygdrive/c/odoobuild/WinPy64/python-${PYTHON_VERSION}.amd64

default: allinone

clean: server_clean
	rm -rf $(FILES_DIRECTORY)/*.exe
	rm -rf *.exe

server_clean:
	rm -rf $(SERVER_DIRECTORY)/dist
	rm -rf $(SERVER_DIRECTORY)/build
	rm -rf $(SERVER_DIRECTORY)/win32/dist
	rm -rf $(SERVER_DIRECTORY)/win32/build
	rm -rf $(SERVER_DIRECTORY)/*.exe
	rm -rf $(SERVER_DIRECTORY)/.cyg*

allinone: server_clean
# 	need to install requirements-local-proxy.txt for local proxy install
	cp $(SERVER_DIRECTORY)/requirements.txt $(WINPY64_DIR)/
	cp requirements-local-proxy.txt $(WINPY64_DIR)/
	-(cd $(WINPY64_DIR) && ./python.exe -m pip install --upgrade pip)
	-(cd $(WINPY64_DIR) && cat requirements*.txt | while read PAC ; do Scripts/pip3.exe install "$${PAC%%#*}" ; done)
	-(cd $(WINPY64_DIR) && Scripts/pip3.exe list)
	rm $(WINPY64_DIR)/requirements.txt
	(cd $(SERVER_DIRECTORY)/setup/win32 && $(LAUNCH_MAKENSIS))
	(cd $(SERVER_DIRECTORY)/setup/win32 && mkdir -p $(FILES_DIRECTORY))
	(cd $(SERVER_DIRECTORY)/setup/win32 && cp odoo_setup_*.exe $(FILES_DIRECTORY)/)
	(cd $(SERVER_DIRECTORY)/setup/win32/$(FILES_DIRECTORY) && chmod 0766 odoo_setup_*.exe)

=== debian/control ===
--- 
+++ 
@@ -4,60 +4,61 @@
 Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3, rsync, python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: http://www.odoo.com/
-Vcs-Git: https://salsa.debian.org/freexian-team/odoo.git
-Vcs-Browser: https://salsa.debian.org/freexian-team/odoo
+Vcs-Git: https://salsa.debian.org/freexian-team/packages/odoo.git
+Vcs-Browser: https://salsa.debian.org/freexian-team/packages/odoo
 
-Package: odoo-14
+Package: odoo-16
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
  adduser,
+# support for multilingual fonts
+ fonts-dejavu-core | fonts-freefont-ttf | fonts-freefont-otf | fonts-noto-core,
  fonts-glyphicons-halflings,
  fonts-inconsolata,
  fonts-font-awesome,
+ fonts-ocr-b,
  fonts-roboto-unhinted,
+ gsfonts,
  libjs-jquery,
- libjs-jquery-ui,
+ libjs-jquery-form,
  libjs-underscore,
- lsb-base,
  postgresql-client,
  python3-babel,
  python3-chardet,
  python3-dateutil,
  python3-decorator,
  python3-docutils,
- python3-feedparser,
  python3-freezegun,
- python3-html2text,
  python3-pil,
  python3-jinja2,
  python3-libsass,
  python3-lxml,
- python3-mako,
  python3-num2words,
+ python3-ofxparse,
  python3-passlib,
  python3-polib,
  python3-psutil,
  python3-psycopg2,
  python3-pydot,
- python3-pyparsing,
+ python3-openssl,
  python3-pypdf2,
  python3-qrcode,
- python3-reportlab,
+ python3-reportlab (>= 4.0.4-1~),
  python3-requests,
  python3-stdnum,
- python3-suds,
  python3-tz,
  python3-vobject,
  python3-werkzeug,
  python3-xlsxwriter,
  python3-xlrd,
+ python3-zeep,
  wkhtmltopdf
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: odoo, tinyerp-server, openerp-server, openerp-web, openerp
+Conflicts: odoo, odoo-14, tinyerp-server, openerp-server, openerp-web, openerp
 Replaces: odoo, tinyerp-server, openerp-server, openerp-web, openerp
 Provides: odoo
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=odoo-bin
 export PYBUILD_DISABLE=test
 
-ODOO_VERSION = 14
+ODOO_VERSION = 16
 ODOO_DIR = debian/odoo-$(ODOO_VERSION)
 
 %:
@@ -16,7 +16,15 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm $(ODOO_DIR)/usr/lib/python3*/dist-packages/odoo/addons/point_of_sale/static/src/fonts/Inconsolata.otf
-	find $(ODOO_DIR) -name LICENSE.txt -exec rm {} \;
+	find $(ODOO_DIR) -name LICENSE.txt -exec rm "{}" \;
+	find $(ODOO_DIR) -name LICENSE -exec rm "{}" \;
+	find $(ODOO_DIR) -name .gitignore -exec rm "{}" \;
+	# fix lintian warning about executable bit
+	find $(ODOO_DIR) -name "*.xml" -exec chmod 644 "{}" \;
+	find $(ODOO_DIR) -name "*.csv" -exec chmod 644 "{}" \;
+	find $(ODOO_DIR) -name "*.pot" -exec chmod 644 "{}" \;
+	find $(ODOO_DIR) -name "*.txt" -exec chmod 644 "{}" \;
+	find $(ODOO_DIR) -name "*.sh" -exec chmod 755 "{}" \;
 
 override_dh_installsystemd:
 	dh_installsystemd --name odoo

## odoo 16.0.0+dfsg.1

=== requirements.txt ===
Babel==2.9.1  # min version = 2.6.0 (Focal with security backports)
chardet==3.0.4
cryptography==3.4.8
decorator==4.4.2
docutils==0.16
ebaysdk==2.1.5
freezegun==0.3.11; python_version < '3.8'
freezegun==0.3.15; python_version >= '3.8'
gevent==1.5.0 ; python_version == '3.7'
gevent==20.9.0 ; python_version > '3.7' and python_version <= '3.9'
gevent==21.8.0 ; python_version > '3.9'  # (Jammy)
greenlet==0.4.15 ; python_version == '3.7'
greenlet==0.4.17 ; python_version > '3.7' and python_version <= '3.9'
greenlet==1.1.2 ; python_version  > '3.9'  # (Jammy)
idna==2.8
Jinja2==2.11.3 # min version = 2.10.1 (Focal - with security backports)
libsass==0.18.0
lxml==4.6.5 # min version = 4.5.0 (Focal - with security backports)
MarkupSafe==1.1.0
num2words==0.5.6
ofxparse==0.19; python_version <= '3.9'
ofxparse==0.21; python_version > '3.9'  # (Jammy)
passlib==1.7.3 # min version = 1.7.2 (Focal with security backports)
Pillow==9.0.1  # min version = 7.0.0 (Focal with security backports)
polib==1.1.0
psutil==5.6.7 # min version = 5.5.1 (Focal with security backports)
psycopg2==2.7.7; sys_platform != 'win32' and python_version < '3.8'
psycopg2==2.8.6; sys_platform == 'win32' or python_version >= '3.8'
pydot==1.4.1
pyopenssl==19.0.0
PyPDF2==1.26.0
pypiwin32 ; sys_platform == 'win32'
pyserial==3.4
python-dateutil==2.7.3
python-ldap==3.4.0 ; sys_platform != 'win32'  # min version = 3.2.0 (Focal with security backports)
python-stdnum==1.13
pytz==2019.3
pyusb==1.0.2
qrcode==6.1
reportlab==3.5.59 # version < 3.5.54 are not compatible with Pillow 8.1.2 and 3.5.59 is bullseye
requests==2.25.1 # versions < 2.25 aren't compatible w/ urllib3 1.26. Bullseye = 2.25.1. min version = 2.22.0 (Focal)
urllib3==1.26.5 # indirect / min version = 1.25.8 (Focal with security backports)
vobject==0.9.6.1
Werkzeug==0.16.1 ; python_version <= '3.9'
Werkzeug==2.0.2 ; python_version > '3.9'  # (Jammy)
xlrd==1.1.0; python_version < '3.8'
xlrd==1.2.0; python_version >= '3.8'
XlsxWriter==1.1.2
xlwt==1.3.*
zeep==3.4.0

=== setup/win32/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 MAKENSIS_ARGUMENTS=/DVERSION=$(VERSION) /DMAJOR_VERSION=$(MAJORVERSION) /DMINOR_VERSION=$(MINORVERSION) /DSERVICENAME=${SERVICENAME} /DPYTHONVERSION=${PYTHON_VERSION}
 
 LAUNCH_MAKENSIS=/cygdrive/c/tools/cygwin/makensis $(MAKENSIS_ARGUMENTS) setup.nsi
+WINPY32_DIR=/cygdrive/c/odoobuild/WinPy32/python-${PYTHON_VERSION}
 WINPY64_DIR=/cygdrive/c/odoobuild/WinPy64/python-${PYTHON_VERSION}.amd64
 
 default: allinone
@@ -26,6 +27,12 @@
 
 allinone: server_clean
 # 	need to install requirements-local-proxy.txt for local proxy install
+	cp $(SERVER_DIRECTORY)/requirements.txt $(WINPY32_DIR)/
+	cp requirements-local-proxy.txt $(WINPY32_DIR)/
+	-(cd $(WINPY32_DIR) && ./python.exe -m pip install --upgrade pip)
+	-(cd $(WINPY32_DIR) && cat requirements*.txt | while read PAC ; do Scripts/pip3.exe install "$${PAC%%#*}" ; done)
+	-(cd $(WINPY32_DIR) && Scripts/pip3.exe list)
+	rm $(WINPY32_DIR)/requirements.txt
 	cp $(SERVER_DIRECTORY)/requirements.txt $(WINPY64_DIR)/
 	cp requirements-local-proxy.txt $(WINPY64_DIR)/
 	-(cd $(WINPY64_DIR) && ./python.exe -m pip install --upgrade pip)

=== debian/changelog ===
odoo (16.0.0+dfsg.1-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Remove python3-renderpm dependency (Closes: #1039569)

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Jul 2023 07:50:16 +0200

odoo (16.0.0+dfsg.1-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Depend on fonts-glyphicons-halflings (Closes: #1040567)

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Jul 2023 06:51:37 +0200

odoo (16.0.0+dfsg.1-1.1) unstable; urgency=medium

  * No-change source-only upload for migration

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Jun 2023 08:48:35 +0200

odoo (16.0.0+dfsg.1-1) unstable; urgency=medium

  * New binary package is odoo-16, conflict on odoo-14
  * Latest origin/16.0 release (Closes: #1035953, #1029736, #1032300)
  * Bump-up Standards-Version
  * d/copyright: bring fully up-to-date with new 16.0 source
  * d/links: update for fonts
  * d/rules: fix some permissions
  * lintian fixes and overrides update

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Jun 2023 09:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
  python3-psycopg2,
  python3-pydot,
  python3-openssl,
- python3-pypdf2,
+ python3-pypdf,
  python3-qrcode,
  python3-reportlab (>= 4.0.4-1~),
  python3-requests,

## odoo 16.0.0+dfsg.2

=== requirements.txt ===
# The officially supported versions of the following packages are their
# python3-* equivalent distributed in Ubuntu 22.04 and Debian 11
Babel==2.9.1  # min version = 2.6.0 (Focal with security backports)
chardet==4.0.0
cryptography==3.4.8
decorator==4.4.2
docutils==0.16
ebaysdk==2.1.5
freezegun==0.3.11; python_version < '3.8'
freezegun==0.3.15; python_version >= '3.8'
gevent==1.5.0 ; python_version == '3.7'
gevent==20.9.0 ; python_version > '3.7' and python_version <= '3.9'
gevent==21.8.0 ; python_version > '3.9' and python_version <= '3.10'  # (Jammy)
gevent==22.10.2; python_version > '3.10'
greenlet==0.4.15 ; python_version == '3.7'
greenlet==0.4.17 ; python_version > '3.7' and python_version <= '3.9'
greenlet==1.1.2 ; python_version  > '3.9' and python_version <= '3.10'  # (Jammy)
greenlet==2.0.2 ; python_version > '3.10'
idna==2.10
Jinja2==2.11.3 ; python_version <= '3.10'  # min version = 2.10.1 (Focal - with security backports)
Jinja2==3.1.2 ; python_version > '3.10'
libsass==0.20.1
lxml==4.6.5 ; python_version <= '3.10'  # min version = 4.5.0 (Focal - with security backports)
lxml==4.9.2 ; python_version > '3.10'
MarkupSafe==1.1.1 ; python_version <= '3.10'
MarkupSafe==2.1.2 ; python_version > '3.10'
num2words==0.5.9
ofxparse==0.19; python_version <= '3.9'
ofxparse==0.21; python_version > '3.9'  # (Jammy)
passlib==1.7.4 # min version = 1.7.2 (Focal with security backports)
Pillow==9.0.1 ; python_version <= '3.10'  # min version = 7.0.0 (Focal with security backports)
Pillow==9.4.0 ; python_version > '3.10'
polib==1.1.0
psutil==5.8.0 ; python_version <= '3.10' 
psutil==5.9.4 ; python_version > '3.10' 
psycopg2==2.7.7 ; sys_platform != 'win32' and python_version < '3.8'
psycopg2==2.8.6 ; sys_platform != 'win32' and python_version >= '3.8'and python_version <= '3.10'
psycopg2==2.8.6 ; sys_platform == 'win32' and python_version < '3.10'
psycopg2==2.9.5 ; python_version > '3.10' or ( sys_platform == 'win32' and python_version == '3.10')
pydot==1.4.2
pyopenssl==20.0.1
PyPDF2==1.26.0 ; python_version <= '3.10'
PyPDF2==2.12.1 ; python_version > '3.10'
pypiwin32 ; sys_platform == 'win32'
pyserial==3.5
python-dateutil==2.8.1
python-ldap==3.4.0 ; sys_platform != 'win32'  # min version = 3.2.0 (Focal with security backports)
python-stdnum==1.16
pytz  # no version pinning to avoid OS perturbations
pyusb==1.0.2 ; python_version <= '3.10'
pyusb==1.2.1 ; python_version > '3.10'
qrcode==6.1
reportlab==3.5.59 ; python_version <= '3.10'  # version < 3.5.54 are not compatible with Pillow 8.1.2 and 3.5.59 is bullseye
reportlab==3.6.12 ; python_version > '3.10'
requests==2.25.1 # versions < 2.25 aren't compatible w/ urllib3 1.26. Bullseye = 2.25.1. min version = 2.22.0 (Focal)
urllib3==1.26.5 # indirect / min version = 1.25.8 (Focal with security backports)
vobject==0.9.6.1
Werkzeug==0.16.1 ; python_version <= '3.9'
Werkzeug==2.0.2 ; python_version > '3.9'  # (Jammy)
xlrd==1.1.0; python_version < '3.8'
xlrd==1.2.0; python_version >= '3.8'
XlsxWriter==1.1.2
xlwt==1.3.*
zeep==4.0.0

=== debian/changelog ===
odoo (16.0.0+dfsg.2-3~bpo12+1) bookworm-backports; urgency=medium

  [ Sébastien Delafond ]
  * Rebuild for bookworm-backports

 -- Sebastien Delafond <seb@debian.org>  Tue, 25 Jun 2024 09:26:31 +0200

odoo (16.0.0+dfsg.2-3) unstable; urgency=medium

  * Fix CVE-2024-4367 (Closes: #1074228)

 -- Sebastien Delafond <seb@debian.org>  Tue, 25 Jun 2024 09:10:35 +0200

odoo (16.0.0+dfsg.2-2~bpo12+1) bookworm-backports; urgency=medium

  [ Sébastien Delafond ]
  * Rebuild for bookworm-backports.
  * Fix barcode generation issue caused by #1059326

 -- Sebastien Delafond <seb@debian.org>  Fri, 29 Dec 2023 13:25:34 +0100

odoo (16.0.0+dfsg.2-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Use python3-pypdf2

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Dec 2023 12:10:44 +0100

odoo (16.0.0+dfsg.2-1~bpo12+1) bookworm-backports; urgency=medium

  [ Sébastien Delafond ]
  * Rebuild for bookworm-backports

 -- Sebastien Delafond <seb@debian.org>  Mon, 09 Oct 2023 11:00:53 +0200

odoo (16.0.0+dfsg.2-1.1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * No-change source-only upload for migration

 -- Sebastien Delafond <seb@debian.org>  Mon, 09 Oct 2023 09:58:48 +0200

odoo (16.0.0+dfsg.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Latest origin/16.0 release
  * Rediff patches
  * d/links: one more font-awesome link

 -- Sebastien Delafond <seb@debian.org>  Fri, 29 Sep 2023 13:09:56 +0200

=== debian/control ===
--- 
+++ 
@@ -45,9 +45,10 @@
  python3-psycopg2,
  python3-pydot,
  python3-openssl,
- python3-pypdf,
+ python3-pypdf2,
  python3-qrcode,
- python3-reportlab (>= 4.0.4-1~),
+ python3-renderpm,
+ python3-reportlab,
  python3-requests,
  python3-stdnum,
  python3-tz,

## odoo 17.0+e.latest

=== requirements.txt ===
# The officially supported versions of the following packages are their
# python3-* equivalent distributed in Ubuntu 22.04 and Debian 11
Babel==2.9.1  # min version = 2.6.0 (Focal with security backports)
chardet==4.0.0
cryptography==3.4.8
decorator==4.4.2
docutils==0.17
ebaysdk==2.1.5
freezegun==1.1.0
geoip2==2.9.0
gevent==21.8.0 ; python_version == '3.10'  # (Jammy)
gevent==22.10.2; python_version > '3.10'
greenlet==1.1.2 ; python_version == '3.10'  # (Jammy)
greenlet==2.0.2 ; python_version > '3.10'
idna==2.10  # requests 2.25.1 depends on idna<3 and >=2.5
Jinja2==3.0.3 ; python_version <= '3.10'
Jinja2==3.1.2 ; python_version > '3.10'
libsass==0.20.1
lxml==4.8.0 ; python_version <= '3.10'
lxml==4.9.2 ; python_version > '3.10'
MarkupSafe==2.0.1 ; python_version <= '3.10'
MarkupSafe==2.1.2 ; python_version > '3.10'
num2words==0.5.10
ofxparse==0.21
passlib==1.7.4 # min version = 1.7.2 (Focal with security backports)
Pillow==9.0.1 ; python_version <= '3.10'  # min version = 7.0.0 (Focal with security backports)
Pillow==9.4.0 ; python_version > '3.10'
polib==1.1.1
psutil==5.9.0 ; python_version <= '3.10' 
psutil==5.9.4 ; python_version > '3.10' 
psycopg2==2.9.2 ; sys_platform != 'win32' and python_version <= '3.10'
psycopg2==2.9.5 ; python_version > '3.10' or sys_platform == 'win32'
pydot==1.4.2
pyopenssl==21.0.0
PyPDF2==1.26.0 ; python_version <= '3.10'
PyPDF2==2.12.1 ; python_version > '3.10'
pypiwin32 ; sys_platform == 'win32'
pyserial==3.5
python-dateutil==2.8.1
python-ldap==3.4.0 ; sys_platform != 'win32'  # min version = 3.2.0 (Focal with security backports)
python-stdnum==1.17
pytz  # no version pinning to avoid OS perturbations
pyusb==1.2.1
qrcode==7.3.1
reportlab==3.6.8 ; python_version <= '3.10'
reportlab==3.6.12 ; python_version > '3.10'
requests==2.25.1 # versions < 2.25 aren't compatible w/ urllib3 1.26. Bullseye = 2.25.1. min version = 2.22.0 (Focal)
rjsmin==1.1.0
urllib3==1.26.5 # indirect / min version = 1.25.8 (Focal with security backports)
vobject==0.9.6.1
Werkzeug==2.0.2
xlrd==1.2.0
XlsxWriter==3.0.2
xlwt==1.3.*
zeep==4.1.0

## odoo 17.0.0+dfsg3

=== requirements.txt ===
# The officially supported versions of the following packages are their
# python3-* equivalent distributed in Ubuntu 22.04 and Debian 11
Babel==2.9.1 ; python_version < '3.11'  # min version = 2.6.0 (Focal with security backports)
Babel==2.10.3 ; python_version >= '3.11'
chardet==4.0.0 ; python_version < '3.11'  # (Jammy)
chardet==5.2.0 ; python_version >= '3.11'
cryptography==3.4.8; python_version < '3.12'  # incompatibility between pyopenssl 19.0.0 and cryptography>=37.0.0
cryptography==42.0.8 ; python_version >= '3.12'  # (Noble) min 41.0.7, pinning 42.0.8 for security fixes
decorator==4.4.2  ; python_version < '3.11'  # (Jammy)
decorator==5.1.1  ; python_version >= '3.11'
docutils==0.17 ; python_version < '3.11'  # (Jammy)
docutils==0.20.1 ; python_version >= '3.11'
ebaysdk==2.1.5
freezegun==1.1.0 ; python_version < '3.11'  # (Jammy)
freezegun==1.2.1 ; python_version >= '3.11'
geoip2==2.9.0
gevent==21.8.0 ; sys_platform != 'win32' and python_version == '3.10'  # (Jammy)
gevent==22.10.2; sys_platform != 'win32' and python_version > '3.10' and python_version < '3.12'
gevent==24.2.1 ; sys_platform != 'win32' and python_version >= '3.12'  # (Noble)
greenlet==1.1.2 ; sys_platform != 'win32' and python_version == '3.10'  # (Jammy)
greenlet==2.0.2 ; sys_platform != 'win32' and python_version > '3.10' and python_version < '3.12'
greenlet==3.0.3 ; sys_platform != 'win32' and python_version >= '3.12'  # (Noble)
idna==2.10 ; python_version < '3.12'  # requests 2.25.1 depends on idna<3 and >=2.5
idna==3.6 ; python_version >= '3.12'
Jinja2==3.0.3 ; python_version <= '3.10'
Jinja2==3.1.2 ; python_version > '3.10'
libsass==0.20.1 ; python_version < '3.11'
libsass==0.22.0 ; python_version >= '3.11'  # (Noble) Mostly to have a wheel package
lxml==4.8.0 ; python_version <= '3.10'
lxml==4.9.3 ; python_version > '3.10' and python_version < '3.12' # min 4.9.2, pinning 4.9.3 because of missing wheels for darwin in 4.9.3
lxml==5.2.1; python_version >= '3.12' # (Noble - removed html clean)
lxml-html-clean; python_version >= '3.12' # (Noble - removed from lxml, unpinned for futur security patches)
MarkupSafe==2.0.1 ; python_version <= '3.10'
MarkupSafe==2.1.2 ; python_version > '3.10' and python_version < '3.12'
MarkupSafe==2.1.5 ; python_version >= '3.12'  # (Noble) Mostly to have a wheel package
num2words==0.5.10 ; python_version < '3.12'  # (Jammy / Bookworm)
num2words==0.5.13 ; python_version >= '3.12' 
ofxparse==0.21
passlib==1.7.4 # min version = 1.7.2 (Focal with security backports)
Pillow==9.0.1 ; python_version <= '3.10'
Pillow==9.4.0 ; python_version > '3.10' and python_version < '3.12'
Pillow==10.2.0 ; python_version >= '3.12'  # (Noble) Mostly to have a wheel package
polib==1.1.1
psutil==5.9.0 ; python_version <= '3.10' 
psutil==5.9.4 ; python_version > '3.10' and python_version < '3.12' 
psutil==5.9.8 ; python_version >= '3.12' # (Noble) Mostly to have a wheel package
psycopg2==2.9.2 ; python_version == '3.10' # (Jammy)
psycopg2==2.9.5 ; python_version == '3.11'
psycopg2==2.9.9 ; python_version >= '3.12' # (Noble) Mostly to have a wheel package
pydot==1.4.2
pyopenssl==21.0.0 ; python_version < '3.12'
pyopenssl==24.1.0 ; python_version >= '3.12' # (Noble) min 23.2.0, pinned for compatibility with cryptography==42.0.8 and security patches
PyPDF2==1.26.0 ; python_version <= '3.10'
PyPDF2==2.12.1 ; python_version > '3.10'
pypiwin32 ; sys_platform == 'win32'
pyserial==3.5
python-dateutil==2.8.1 ; python_version < '3.11'
python-dateutil==2.8.2 ; python_version >= '3.11'
python-ldap==3.4.0 ; sys_platform != 'win32' and python_version < '3.12' # min version = 3.2.0 (Focal with security backports)
python-ldap==3.4.4 ; sys_platform != 'win32' and python_version >= '3.12'  # (Noble) Mostly to have a wheel package
python-stdnum==1.17 ; python_version < '3.11'  # (jammy)
python-stdnum==1.19 ; python_version >= '3.11'
pytz  # no version pinning to avoid OS perturbations
pyusb==1.2.1
qrcode==7.3.1 ; python_version < '3.11'  # (jammy)
qrcode==7.4.2 ; python_version >= '3.11'
reportlab==3.6.8 ; python_version <= '3.10'
reportlab==3.6.12 ; python_version > '3.10' and python_version < '3.12'
reportlab==4.1.0 ; python_version >= '3.12' # (Noble) Mostly to have a wheel package
requests==2.25.1 ;  python_version < '3.11' # versions < 2.25 aren't compatible w/ urllib3 1.26. Bullseye = 2.25.1. min version = 2.22.0 (Focal)
requests==2.31.0 ; python_version >= '3.11' # (Noble)
rjsmin==1.1.0 ; python_version < '3.11'  # (jammy)
rjsmin==1.2.0 ; python_version >= '3.11'
rl-renderPM==4.0.3 ; sys_platform == 'win32' and python_version >= '3.12'  # Needed by reportlab 4.1.0 but included in deb package
urllib3==1.26.5 ; python_version < '3.12' # indirect / min version = 1.25.8 (Focal with security backports)
urllib3==2.0.7  ; python_version >= '3.12'  # (Noble) Compatibility with cryptography
vobject==0.9.6.1
Werkzeug==2.0.2 ; python_version <= '3.10' 
Werkzeug==2.2.2 ; python_version > '3.10' and python_version < '3.12'
Werkzeug==3.0.1 ; python_version >= '3.12'  # (Noble) Avoid deprecation warnings
xlrd==1.2.0 ; python_version < '3.12'  # (jammy)
xlrd==2.0.1 ; python_version >= '3.12'
XlsxWriter==3.0.2 ; python_version < '3.12'  # (jammy)
XlsxWriter==3.1.9 ; python_version >= '3.12'
xlwt==1.3.0
zeep==4.1.0 ; python_version < '3.11'  # (jammy)
zeep==4.2.1 ; python_version >= '3.11'

## odoo 18.0.0%2Bdfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 # The officially supported versions of the following packages are their
-# python3-* equivalent distributed in Ubuntu 22.04 and Debian 11
+# python3-* equivalent distributed in Ubuntu 24.04 and Debian 12
+asn1crypto==1.4.0 ; python_version < '3.11'
+asn1crypto==1.5.1 ; python_version >= '3.11'
 Babel==2.9.1 ; python_version < '3.11'  # min version = 2.6.0 (Focal with security backports)
 Babel==2.10.3 ; python_version >= '3.11'
+cbor2==5.4.2 ; python_version < '3.12'
+cbor2==5.6.2 ; python_version >= '3.12'
 chardet==4.0.0 ; python_version < '3.11'  # (Jammy)
 chardet==5.2.0 ; python_version >= '3.11'
 cryptography==3.4.8; python_version < '3.12'  # incompatibility between pyopenssl 19.0.0 and cryptography>=37.0.0
@@ -10,7 +14,6 @@
 decorator==5.1.1  ; python_version >= '3.11'
 docutils==0.17 ; python_version < '3.11'  # (Jammy)
 docutils==0.20.1 ; python_version >= '3.11'
-ebaysdk==2.1.5
 freezegun==1.1.0 ; python_version < '3.11'  # (Jammy)
 freezegun==1.2.1 ; python_version >= '3.11'
 geoip2==2.9.0
@@ -36,6 +39,8 @@
 num2words==0.5.10 ; python_version < '3.12'  # (Jammy / Bookworm)
 num2words==0.5.13 ; python_version >= '3.12' 
 ofxparse==0.21
+openpyxl==3.0.9 ; python_version < '3.12'
+openpyxl==3.1.2 ; python_version >= '3.12'
 passlib==1.7.4 # min version = 1.7.2 (Focal with security backports)
 Pillow==9.0.1 ; python_version <= '3.10'
 Pillow==9.4.0 ; python_version > '3.10' and python_version < '3.12'
@@ -47,7 +52,6 @@
 psycopg2==2.9.2 ; python_version == '3.10' # (Jammy)
 psycopg2==2.9.5 ; python_version == '3.11'
 psycopg2==2.9.9 ; python_version >= '3.12' # (Noble) Mostly to have a wheel package
-pydot==1.4.2
 pyopenssl==21.0.0 ; python_version < '3.12'
 pyopenssl==24.1.0 ; python_version >= '3.12' # (Noble) min 23.2.0, pinned for compatibility with cryptography==42.0.8 and security patches
 PyPDF2==1.26.0 ; python_version <= '3.10'
